Package Details: freefem 4.8.0-2

Git Clone URL: https://aur.archlinux.org/freefem.git (read-only, click to copy)
Package Base: freefem
Description: A PDE oriented language using the finite element method
Upstream URL: https://freefem.org/index.html
Licenses: LGPL
Conflicts: freefem-ext-dl, freefem-git
Provides: freefem
Submitter: haawda
Maintainer: gdolle
Last Packager: gdolle
Votes: 14
Popularity: 0.000969
First Submitted: 2019-06-19 19:31
Last Updated: 2021-02-07 14:51

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

viperpaulo commented on 2015-11-10 10:30

Maybe ipopt is the missing dependency since it seems to be where it stops compiling. Do you have it installed from another package?

viperpaulo commented on 2015-10-30 09:28

Hi holos,

I have trouble with this new version of the package (3.41-1), it doesn't compile, even in a clean chroot! Can you try to compile it in a clean chroot to see if there is a missing dependency: https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_Clean_Chroot

I didn't manage to find the missing dependency...

holos commented on 2015-03-05 16:38

I didn't get crashes with 3.34-2 (I didn't try 3.34-1) with --enable-download, so I left it for the time being

holos commented on 2015-03-05 16:05

suitesparse is in the repos :P

freefem is really weird with detecting system libraries, so I'd be happy to remove --enable-download from the package.

gdolle commented on 2015-03-01 17:55

Hi, the package depend on suitesparse AUR package, but the current package use the ff++ downloaded one (using a different version).

ff++ compiles fine but in my case, simple applications crash with segfault (e.g using solve() or builmesh() functions). It might be related, any idea?

gdolle commented on 2015-03-01 15:38

Hi, the package depend on suitesparse AUR package, but the current package use the ff++ downloaded one (using a different version).

ff++ compiles fine but in my case, simple applications crash with segfault (e.g using Poisson() or builmesh() functions). It might be related, any idea?

holos commented on 2014-10-24 18:44

matael, the real error is farther up, when compiling UMFPACK.cpp and NewSolver.cpp. The freefem build system fails to detect UMFPACK (in the suitesparse package) and doesn't properly include headers, so the build fails. I am waiting for the 3.32 tarball to fix it.

matael commented on 2014-10-01 17:36

I don't really understand, but the package won't compile here :

Makefile:1658: recipe for target 'UMFPACK64.so' failed
make[3]: *** [UMFPACK64.so] Error 1

Looks like something's missing... i don't understand where this problem comes from

facunditito commented on 2014-07-14 22:44

It appears that there is a new version. To install it, I had to change the PKGBUILD

The site: http://www.freefem.org/ff++/ftp/freefem++-3.31.tar.gz gave me a 404 error, the new or correct is http://www.freefem.org/ff++/ftp/freefem++-3.31-2.tar.gz with its new sha256sum (4e61e6b44bc709f2e6f64c5a64d7597caead208e39fd97e231d41b86dfbccf65)

holos commented on 2014-03-07 02:23

the "reference to $srcdir" warning is due to a couple pkg-config files that set the prefix incorrectly.